package cn.cslg.pas.common.utils;

public enum ResponseEnum {

    SUCCESS(200, "请求成功"),
    WEB_SOCKET_SUCCESS(2, "WebSocket请求成功"),
    BATCH_UPLOAD_INSTRUCTION_TASK_SUCCESS(900, "WebSocket请求成功"),
    PROJECT_IMPORT_TASK_SUCCESS(901, "WebSocket请求成功"),
    PROJECT_EXPORT_TASK_SUCCESS(902, "WebSocket请求成功"),
    PATENT_IMPORT_TASK_SUCCESS(903, "WebSocket请求成功"),
    PATENT_EXPORT_TASK_SUCCESS(904, "WebSocket请求成功"),
    UNAUTHORIZED(401, "未登录"),
    NOT_PERMISSION(402, "无操作权限"),
    FORBIDDEN(403, "拒绝访问"),
    USERNAME_ERROR(0, "用户名不存在"),
    PASSWORD_ERROR(0, "密码错误"),
    VERIFY_CODE_ERROR(0, "验证码错误"),
    QUERY_CACHE_ERROR(0, "专利检索缓存失效，请重试"),
    BATCH_UPLOAD_INSTRUCTION_TASK_ERROR(800, "导入说明书失败"),
    PROJECT_EXPORT_TASK_ERROR(802, "专题库数据导出失败"),
    PATENT_IMPORT_TASK_ERROR(803, "专利导入专利失败"),
    PATENT_EXPORT_TASK_ERROR(804, "专利导出专利失败"),
    SYSTEM_ERROR(500, "系统异常"),
    SUCCESSBUT(200, "请求成功"),
    ERROR(0, "请求失败");

    private Integer code;
    private String message;

    ResponseEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
